Bug 476224 - convert NFS to new write_begin/write_end interfaces
convert NFS to new write_begin/write_end interfaces
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Jeff Layton
Red Hat Kernel QE team
Depends On: 445433
  Show dependency treegraph
Reported: 2008-12-12 11:07 EST by Jeff Layton
Modified: 2011-12-25 21:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 04:58:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch -- convert NFS to new aops (5.17 KB, patch)
2008-12-12 15:45 EST, Jeff Layton
no flags Details | Diff
updated patch (5.32 KB, patch)
2009-01-09 15:22 EST, Jeff Layton
no flags Details | Diff

  None (edit)
Description Jeff Layton 2008-12-12 11:07:10 EST
Josef has backported write_begin and write_end to RHEL5.4. While the old prepare/commit_write interfaces are still there, he's adding an extra page copy into that codepath to fix a deadlock. This will incur a performance penalty. To avoid it, we'll want to convert NFS to use the new extended aops.
Comment 1 Jeff Layton 2008-12-12 15:45:24 EST
Created attachment 326772 [details]
patch -- convert NFS to new aops

This patch builds cleanly, but needs testing.
Comment 2 Jeff Layton 2008-12-15 07:57:19 EST
Patch seems to work. I've done a bit of basic testing with it and haven't noticed any regressions. We'll certainly want to test it more extensively though, particularly in the write codepaths.
Comment 3 Jeff Layton 2009-01-09 15:22:36 EST
Created attachment 328585 [details]
updated patch

...to take into account the changes in Josef's patches
Comment 4 RHEL Product and Program Management 2009-01-27 15:42:05 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 6 RHEL Product and Program Management 2009-02-16 10:43:14 EST
Updating PM score.
Comment 8 Don Zickus 2009-04-20 13:11:20 EDT
in kernel-2.6.18-140.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 11 errata-xmlrpc 2009-09-02 04:58:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.